/*
 * Copyright 2009-2019 Ping Identity Corporation
 * All Rights Reserved.
 */
/*
 * Copyright (C) 2015-2019 Ping Identity Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (GPLv2 only)
 * or the terms of the GNU Lesser General Public License (LGPLv2.1 only)
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses>.
 */



/**
 * This package contains sample programs that demonstrate the use of the
 * UnboundID LDAP SDK for Java, and in particular portions of the LDAP SDK which
 * are only intended for use with Ping Identity, UnboundID, or
 * Nokia/Alcatel-Lucent 8661 server products.  See the com.unboundid.ldap.sdk
 * .examples package for a set of examples that use only generally-available
 * features.
 * <BR>
 * <BLOCKQUOTE>
 *   <B>NOTE:</B>  The classes within this package, and elsewhere within the
 *   {@code com.unboundid.ldap.sdk.unboundidds} package structure, are only
 *   supported for use against Ping Identity, UnboundID, and
 *   Nokia/Alcatel-Lucent 8661 server products.  These classes provide support
 *   for proprietary functionality or for external specifications that are not
 *   considered stable or mature enough to be guaranteed to work in an
 *   interoperable way with other types of LDAP servers.
 * </BLOCKQUOTE>
 * <BR>
 * Note that the scope of these programs has been intentionally kept small so
 * that they are easier to understand, even though this may limit the real-world
 * usefulness of these examples.  Further, these programs do not include
 * support for internationalization and have minimal debugging code to further
 * simplify them.
 */
package com.unboundid.ldap.sdk.unboundidds.examples;
